Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## eia.util
Enum ValorJuicio

    java.lang.Object
      java.lang.Enum<ValorJuicio>
          eia.util.ValorJuicio

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ValorJuicio>

    public enum ValorJuicio

extends java.lang.Enum<ValorJuicio>

Tipo enumerado correspondiente a valores de análisis de un efecto/impacto por simple enjuiciamiento.

Enum Constant Summary
`despreciable`
`especial`
`impredecible`
`significativo`

Method Summary
`static ValorJuicio` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ValorJuicio[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### especial

    public static final ValorJuicio especial

### despreciable

    public static final ValorJuicio despreciable

### impredecible

    public static final ValorJuicio impredecible

### significativo

    public static final ValorJuicio significativo

Method Detail

### values

    public static final ValorJuicio[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ValorJuicio c : ValorJuicio.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ValorJuicio valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD